using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 试题参考答案
    /// </summary>
    [Description("试题参考答案")]
    public class QuestionAnswerDto:UpdateQuestionAnswerDto
    {

    }

    /// <summary>
    /// 查看试题参考答案
    /// </summary>
    [Description("查看试题参考答案")]
    public class ViewQuestionAnswerDto : QuestionAnswerDto
    {
        /// <summary>
        /// 正确答案
        /// </summary>
        [Description("正确答案")]
        public string CorrectAnswer { get; set; }
    }

    /// <summary>
    /// 试题参考答案
    /// </summary>
    [Description("试题参考答案")]
    public class AddQuestionAnswerDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }

    }

    /// <summary>
    /// 试题参考答案
    /// </summary>
    [Description("试题参考答案")]
    public class UpdateQuestionAnswerDto : AddQuestionAnswerDto,IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
